<!-- traiter ot par intervenat + traiter ot par responsable-->

<!--  traiter ot par intervenat -->
<div *ngIf="isInterv">
    <div class="main-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-danger">
                            <h4 class="card-title   ">Traiter ordre de tarvail </h4>
                            <p class="card-category"></p>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table" *ngFor=" let c of arrayordres">
                                    <thead>
                                    <tr>
                                        <th scope="row"></th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <th scope="row">Ordre de travail</th>
                                        <td> {{c.id}} </td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Emplacement</th>
                                        <td> {{c.Emplacement.libelle_emplacement}}</td>
                                    </tr>

                                    <tr>
                                        <th scope="row"></th>
                                        <td></td>
                                    </tr>

                                    </tbody>
                                </table>

                            </div>
                            <form [formGroup]="formTraiter">
                                <div class="row">
                                    <div class="col-md-5">
                                        <span class="alllabel"> Fini le  </span> <br/>
                                        <mat-form-field class="example-full-width">
                                            <input matInput formControlName="date_fin_inter" type="datetime-local">
                                        </mat-form-field>
                                        <span *ngIf="isValid('date_fin_inter')"> Date fin d'intervention manquant</span>
                                    </div>


                                </div>

                                <div formArrayName="PieceStockId">
                                    <div class="selectt">
                                        <span class="alllabel">Pieces utilisées</span> <br/>
                                        <div class="form-group"
                                             *ngFor="let pieceControl of getPiece().controls; let i = index">
                                            <select class="select" [formControlName]="i">
                                                <option [disabled]="true"> choisi une pièce</option>
                                                <option *ngFor="let p of piece" [value]="p.id">
                                                    {{p.libelle_piece}}
                                                </option>
                                            </select>
                                            <div class="col-md-4">
                                                <input type="number" (blur)="addquantite($event)" class="form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <button mat-raised-button type="submit"
                                            class="btn btn-outline-info btn-sm float-left"
                                            (click)="addPiece()">Ajouter piece
                                    </button>
                                </div>
                                <br/><br/>
                                <div class="row">
                                    <div class="col-md-5">
                                        <span class="alllabel"> Description </span> <br/>
                                        <mat-form-field class="example-full-width">
                                                <textarea class="textarea" matInput cols="150" rows="8"
                                                          formControlName="description_interv"></textarea>

                                        </mat-form-field>
                                        <span *ngIf="isValid('description_interv')"> Champ description manquant</span>
                                    </div>
                                </div>
                            </form>
                            <br/>

                            <div>
                                <button mat-raised-button type="submit"
                                        class="btn btn-danger pull-right"
                                        (click)="backToMesOT()">Annuler
                                </button>
                                <button mat-raised-button type="submit" class="btn btn-success pull-right"
                                        (click)="intervTraiter()">traiter
                                </button>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!--traiter ot par responsable -->

<div *ngIf="isResp">
    <div class="main-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-danger">
                            <h4 class="card-title   ">Traiter ordre de tarvail </h4>
                            <p class="card-category"></p>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table" *ngFor=" let c of ordres">
                                    <thead>
                                    <tr>
                                        <th scope="row"></th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <th scope="row">Ordre de travail</th>
                                        <td> {{c.id}} </td>
                                    </tr>
                                    <tr>
                                        <th scope="row">Emplacement</th>
                                        <td> {{c.Emplacement.libelle_emplacement}}</td>
                                    </tr>
                                    <tr>
                                        <th scope="row"></th>
                                        <td></td>
                                    </tr>

                                    </tbody>
                                </table>
                            </div>
                            <form [formGroup]="formTraiter">
                                <div class="row">
                                    <div class="col-md-5">
                                        <span class="alllabel"> Fini le  </span> <br/>
                                        <mat-form-field class="example-full-width">
                                            <input matInput formControlName="date_fin_inter" type="datetime-local">
                                        </mat-form-field>
                                        <span *ngIf="isValid('date_fin_inter')"> Date fin d'intervention manquant</span>
                                    </div>
                                </div>
                                <div formArrayName="PieceStockId">
                                    <div class="selectt">
                                        <span class="alllabel">Pièces utiliées</span> <br/>
                                        <div class="form-group"
                                             *ngFor="let pieceControl of getPiece().controls; let i = index">
                                            <select class="select" [formControlName]="i">
                                                <option [disabled]="true"> choisi une pièce</option>
                                                <option *ngFor="let p of piece" [value]="p.id">
                                                    {{p.libelle_piece}}
                                                </option>
                                            </select>
                                            <div class="col-md-4">
                                                <input type="number" (blur)="addquantite($event)" class="form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <button mat-raised-button type="submit"
                                            class="btn btn-outline-info btn-sm float-left"
                                            (click)="addPiece()">Ajouter piece
                                    </button>
                                </div>
                                <br/><br/>
                                <div class="row">
                                    <div class="col-md-5">
                                        <span class="alllabel"> Description </span> <br/>
                                        <mat-form-field class="example-full-width">
                                                <textarea class="textarea" matInput cols="150" rows="8"
                                                          formControlName="description_interv"></textarea>

                                        </mat-form-field>
                                        <span *ngIf="isValid('description_interv')"> Champ description manquant</span>
                                    </div>
                                </div>
                            </form>
                <br/>
                            <div>
                                <button mat-raised-button type="submit" class="btn btn-danger pull-right"
                                        (click)="backToOT()">Annuler
                                </button>
                                <button mat-raised-button type="submit" class="btn btn-success pull-right"
                                        (click)="respTraiter()">traiter
                                </button>
                            </div>


                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
